

body {
  margin: 0;
}

a {
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

a:active, a:visited, a {
  color: black 
}

h2 {
  text-align: center;
  font-size: 2.7rem;
}

.disclaimer-strip {
  margin: 0;
  padding: .0005rem 0;
  text-align: center;
  background-color: rgb(229, 183, 35);
  font-family: Georgia, 'Times New Roman', Times, serif;
  font-size: 14px;
  font-weight: 800;
  letter-spacing: 3.7px;
}

.navigation-bar {
  display: flex;
  background-color: #fff;
  box-shadow: 0 .5px 1px black;
  padding: .4rem 2rem;
  top: 0;
  position: sticky;
  z-index: 2;
  gap: 3.5rem;
}

.navigation-bar a {
  width: 15%;
}

.navigation-bar .page-title {
  width: 100%;
}

.nav-links {
  margin: 2.25rem 0  0 3.8rem;
  font-size: 1.25rem;
  display: flex;
  letter-spacing: .07rem;
  gap: 4rem;
  list-style: none;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 17rem;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  padding: 12px 16px;
  z-index: 1;
  list-style: none;
  border: 1px solid #294030;
}

.dropdown-content li {
  padding-bottom: 1.5rem;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.hero-image-section {
  display: flex;
  position: relative;
  /* flex-direction: row-reverse; */
  background-color: #fcfff4
}

.hero-image-slides {
  background-image: url('images/ST_homepage_top.jpeg');
  background-position: 50% 46%;
  background-size: cover;
  height: 90vh;
  width: 50vw;
  animation: fade-in-slides 18s ease-in 1 forwards;
}

@keyframes fade-in-slides {
  33% { 
    background-image: url('images/terrarium_bow.jpeg');
    background-size: cover;
  }

  67% {
    background-image: url('images/closed_terra_blue.jpeg');
    background-size: cover;
  }

  100% {
    background-image: url('images/terra_with_bear.jpeg');
    background-size: cover;
  }
}

.logo-section {
  background-image: url('images/STLogo.png');
  text-align: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 30rem 30rem;
  width: 29vw;
  height: 67vh;
  left: 32rem;
  top: 4.25rem;
  border-radius: 50% 50% 0 0;
  position: absolute;
  background-color: transparent;
  box-shadow: -1px -1px 7px #1E2F23;
}

.welcome-line {
  margin-top: 2.7rem;
}

.marketplace-line {
  margin-top: 30rem;
  font-size: 33px;
  letter-spacing: .07rem;
  font-weight: 300;
}

.expectation-section {
  background-color: #294030;
  padding: 7rem 0;
}

.expectation-section h2 {
  color: #FFF;
}

.standout-list {
  padding: 5rem 0 2rem 0;
  display: flex;
  justify-content: center;
  gap: 5rem;
}

.custom-designs {
  background: url('images/terrarium_planter.jpeg');
  background-size: cover;
  background-position: -2.5rem -3rem;
  height: 22rem;
  width: 25vw;
}

.eco-friendly-materials {
  background-image: url('images/eco_friendly_terra.jpeg');
  background-size: cover;
  background-position: -1.7rem -3rem;
  height: 22rem;
  width: 25vw;
}
.award-winning {
  background-image: url('images/terrarium_row.jpeg');
  background-size: cover;
  background-position: -1.7rem -3rem;
  height: 22rem;
  width: 25vw;
}

.standout-square p {
  text-align: center;
  margin-top: 18rem;
  padding: 1.7rem;
  font-size: 24px;
  font-style: italic;
  font-weight: bolder;
  background-color: #B39C4D;
  color: white;
}


.terrarium-videos {
  padding: 7rem;
}

.terrarium-videos video {
  border-radius: .8rem;
}

.terrarium-videos section {
  padding-top: 5rem;
  display: flex;
  justify-content: center;
  gap: 6.5rem;
}

.custom-orders {
  scroll-margin-top: 118px;
  padding: 2.5rem;
  background-color: #97b05e;
  display: flex;
  flex-direction: column;
  gap: 3rem;
  align-items: center;
  justify-content: center;
}

.custom-orders label, 
.contact-form-section label {
  font-size: 1.15rem;
  font-weight: 400;
}

.custom-orders input[type="text"], 
.custom-orders input[type="email"],
.contact-form-section input[type="text"],
.contact-form-section input[type="email"] {
  font-size: 1.15rem;
  height: 5.5vh;
}

.custom-orders input::placeholder, 
.custom-orders textarea::placeholder,
.contact-form-section input::placeholder, 
.contact-form-section textarea::placeholder  {
  padding: .5rem;
  font-style: italic;
  color: rgb(195, 195, 195);
}

.custom-orders textarea,
.custom-orders textarea::placeholder,
.contact-form-section textarea, 
.contact-form-section textarea::placeholder {
  padding: .5rem;
  margin-bottom: 2rem;
  font-size: 1.35rem;
  line-height: 1.35;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif
}

.custom-orders input[type="text"], 
.custom-orders input[type="email"],
.contact-form-section input[type="text"],
.contact-form-section input[type="email"] {
  padding: .75rem .25rem;
  font-size: 1.3rem;
}

.custom-orders input[type="text"]::placeholder {
  font-style: italic;
}

.custom-orders input {
  margin-bottom: 1.25rem;
}

.custom-terrarium-button {
  margin-top: 2rem;
  background-color: #97b05e;
  padding: 1.75rem 3.5rem;
  border: 2px solid #1E2F23;
  font-weight: 700;
}

.custom-terrarium-button:hover {
  background-color: #1E2F23;
  transition: translateY(-1px);
  box-shadow: 2px 2px 2px #1E2F23;
  color: #FFF;
}

.custom-terrarium-button:active {
  transition: translateY(0);
  box-shadow: 1px 1px 1px #1E2F23;
}

.custom-orders h3 {
  font-size: 26px;
  margin: 0;
}

.custom-orders form {
  width: 65%;
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
  padding-bottom: 2rem;
}

.thank-you-custom-order, 
.thank-you-for-contact {
  display: flex;
  justify-content: center;
  gap: 6rem;
  padding: 4rem;
}

.thank-you-custom-order article, 
.thank-you-custom-order img, 
.thank-you-for-contact article, 
.thank-you-for-contact img {
  width: 40%;
}

.thank-you-custom-order article p,
.thank-you-for-contact article p {
  text-align: center;
  font-size: 1.5rem;
  line-height: 2rem;
}

.thank-you-custom-order img {
  height: 70vh;
}

.input-field {
  display: flex;
  flex-direction: column;
  font-size: 18px;
  font-weight: bold;
  width: 80%;
}

.required-text {
  color: rgb(152, 27, 27);
}

textarea {
  padding: 1rem;
  width: 100%;
}

.care-tips-intro h2, .care-tips-intro p {
  padding: 3rem 10rem 1rem;
  margin: 0;
}

.care-tips-intro p {
  line-height: 2rem;
  font-size: 1.5rem;
  text-align: center;
}

.care-tips-intro ul {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bolder;
  text-decoration: underline;
  gap: 6rem;
  list-style: none;
}

.care-tips-intro img {
  display: block;
  width: 55%;
  margin: auto;
}

.top {
  --offset: 50px; 
  margin-left: 40rem;
  position: sticky;
  bottom: 20px;      
  margin-top: calc(100vh + var(--offset));
  
  /* visual styling */
  text-decoration: none;
  padding: 10px;
  font-family: sans-serif;
  background: #B39C4D;
  border-radius: 100px;
  white-space: nowrap;
}

.closed-terrariums, .open-terrariums {
  scroll-margin-top: 130px;

}

.closed-terrariums h3, .open-terrariums h3, .general-tips h3 {
  margin: 6rem 0rem;
  text-align: center;
  font-size: 24px;
}

.closed-terrariums img {
  margin: 1rem 2.5rem;
  width: 46%;
}

.ct-top-section, .ot-top-section {
  margin-top: 5rem;
  display: flex;
}

.ct-right-of-img, .ot-left-of-img {
  display: flex;
  font-size: 20px;
  line-height: 2rem;
  width: 48%;
  flex-direction: column;
}

.ot-left-of-img {
  margin: 0rem 1rem;
  width: 50%;
}

.ct-maintenance-section, .ot-maintenance-section {
  margin: 4rem 3.5rem;
  font-size: 20px;
  line-height: 2rem;
}

.ot-maintenance-section {
  margin-left: 1rem;
}

.open-terrariums img {
  margin: 1rem 1rem;
  width: 46%;
}

.general-tips {
  scroll-margin-top: 130px;
  margin: 4rem 18rem;
  font-size: 20px;
  line-height: 2rem;
}

.about-founder-section {
  display: flex;
  flex-direction: row-reverse;
}

.about-paragraph {
  padding: 3rem;
  width: 60%;
}

.about-founder-section img {
  padding: 3rem;
  width: 35%;
}

.about-paragraph {
  font-size: 1.2rem;
  line-height: 2rem;
}

.main-contact-section p {
  margin: 5rem 14rem;
  text-align: center;
  font-size: 20px;
  line-height: 2rem;
}

.contact-page-section {
  width: 100%;
  display: flex;
  gap: 5.75rem;
  padding-bottom: 5rem;
}

.contact-form-section {
  display: flex;
  gap: 3.2rem;
  flex-direction: column;
  width: 45%;
  margin-left: 3rem;
  border-radius: 1rem;
  padding: 3.5rem 0rem;
  box-shadow: 1px -1px 3px #e3efc9;
  border: 2px solid #b4be9e ;
}

.contact-form-section input[type="text"],
.contact-form-section input[type="email"],
.contact-form-section textarea {
  border-radius: .5rem;
  border: 1px solid #b4be9e;
}

.contact-page-image {
  background: url('images/terrarium_jarwithlid.jpeg');
  width: 42%;
  background-size: cover;
  background-position: 0rem -2.5rem;
  border-radius: 30rem 30rem 0rem 0rem;
}

.general-inquiries-button {
  padding: 1rem 2.5rem;
  background-color: #fff;
  border-radius: none;
  border: 2px solid black;
  font-weight: 800;
}

.general-inquiries-button:hover {
  box-shadow: 2px 2px 2px black;
  background-color: #294030;
  color: #fff
}

.general-inquiries-button:active {
  transition: translateY(0px);
  box-shadow: 1px 1px 1px #000000;
}

  .popup-section-content {
    padding: 7rem 8rem;
    display: flex;
    justify-content: center;
    gap: 7rem;
  }

  .popup-main h2 {
    padding-top: 3.5rem;
  }

  .popup-description {
    padding-top: -4rem;
    width: 60%;
  }

  .popup-description img {
    width: 100%;
  }

  .popup-date-time {
    border: 2px solid #294030;
    width: 6rem;
    height: 6rem;
    text-align: center;
    padding-top: .41rem;
  }

  .popup-date-time h3 {
    margin: 0 auto;
    background-color: #1E2F23;
    width: 76%;
    color: #fff;
    padding: .25rem;
  }

  .popup-main .popup-cta {
    text-align: center;
    padding-bottom: 2.5rem;
    margin: 0 auto;
    width: 80%;
  }

  .popup-main .popup-cta a {
    text-decoration: underline;
  }

  .event-planning-form .form-section {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
    animation: fade-in 1s ease-in;
    animation-timeline: view();
    animation-range-end: 570px;
  }

  @keyframes fade-in {
    from {
      scale: .8;
      opacity: 0;
    }

    to {
      scale: 1;
      opacity: 1;
    }
  }

.event-planning-form section h3 {
  font-size: 2.5rem;
}

.event-planning-form {
  background-image: url('images/light_green_terra.jpeg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 40% 50%;
  opacity: 98%;
  padding: 4rem;
  border: .5px solid #1E2F23;
  display: flex;
  justify-content: center; 
}

.event-planning-form-container {
  background-color: #cdc4a7;
  opacity: .86;
  padding: 3.5rem;
}

.event-planning-form h2, .event-planning-form p {
  text-align: center;
}

.event-planning-form p {
  font-size: 1.3rem;
  width: 90%;
  font-weight: 700;
  line-height: 1.8rem;
  padding-bottom: 4.3rem;
}

.event-planning-form form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.event-planning-form input[type="text"], 
.event-planning-form input[type="date"], 
.event-planning-form input[type="time"], 
.event-planning-form input[type="number"],
.event-planning-form input[type="email"] {
  background-color: #d7d7d7;
  border: .5px solid black;
  padding: 1rem;
}

.event-planning-form legend, .event-planning-form label {
  font-size: 1.29rem;
  letter-spacing: .09rem;
  padding-bottom: .3rem;
  font-weight: 200;
}

.event-planning-form input[type="text"]::placeholder, 
.event-planning-form input[type="date"], 
.event-planning-form input[type="email"]::placeholder,
.event-planning-form input[type="time"], 
.event-planning-form input[type="number"]::placeholder {
  color: #000000
}

fieldset {
  width: 57%;
}

.event-plan-button {
  background-color: #768948;
  padding: 1rem 2.5rem;
  border: 2px solid #1E2F23;
  font-weight: 700;
}

.workshop-host-form, form, .hoster-info, .what-hoster-wants div, .accessibility-needs {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.workshop-host-form {
  background-image: url('images/terrarium_planter.jpeg');
  background-repeat: no-repeat;
  background-size: cover;
  padding-top: 4rem;
  background-position: 1% 90%;
}

.workshop-form-container {
  background-color: #cdc4a7;
  opacity: 75%;
  padding: 3rem;
  width: 85%;
}

.workshop-form-container input[type="text"], 
.workshop-form-container input[type="number"],
.workshop-form-container input[type="email"],
.workshop-form-container input[type=datetime-local] {
  margin: .5rem 1rem 1.75rem 1rem;
  padding: .85rem;
  width: 85%;
  background-color: #d7d7d7;
  border: 2px solid black;
  border: .5px solid black;
  padding: 1rem;
}

.workshop-form-container input[type="text"]::placeholder, 
.workshop-form-container input[type="email"]::placeholder,
.workshop-form-container input[type="number"]::placeholder {
  color: #616161;
  font-size: larger
}

.workshop-form-container form fieldset {
  border-radius: 7px;
  border: 2px solid black;
  margin: 2rem auto;
  width: 81%;
  padding: .5rem 1rem;
  line-height: 1.75;
}

.workshop-host-form label, .workshop-host-form legend {
  margin: 1rem 1rem .25rem 1rem;
  line-height: 1.75rem;
  font-size: 1.39rem;
  letter-spacing: .09rem;
  font-weight: 200;
}

.workshop-host-form legend {
  line-height: 1.75rem;
}

.additional-form-input {
  font-weight: 600;
  padding-left: 2rem;
  margin: .1rem;  
  padding-top: .35rem;
}

.what-hoster-wants fieldset, 
.what-hoster-wants fieldset legend, 
.what-hoster-wants fieldset label {
  letter-spacing: .17rem;
}

.footer {
  font-size: 20px;
  padding: 5rem;
  background-color: #294030;
  color: #fff;
}

.footer ul {
  list-style: none;
  padding: 0;
  line-height: 2rem;
}

.top-of-footer img {
  width: 15%;
  height: 24%;
  border-radius: 10px;
  padding-bottom: 2rem;
}

.footer .socials-logos {
  display: flex;
  justify-content: center;
  gap: 1rem;
  align-items: center;
}

  .footer a:active, .footer a, .footer a:visited {
    color: #fff;
  }

.socials-logos a {
  width: 2%;
}

.socials-logos img {
  width: 100%;
}

.copyright-section {
  text-align: center;
}

.copyright-section p {
  padding-top: 1.7rem;
  margin-bottom: 0;
}

.top-of-footer {
  width: 100%;
  display: flex;
  gap: 25rem;
}

.desktop-hidden {
  display: none;
}

@media screen and (max-width: 767px) {  /*small-mobile*/

  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    /* background is white by default but added for clarity */
    background: white;
    width: 100%;
  }
  
  .hamburger, .close {
    border: none;
    cursor: pointer;
    /* position absolute position the icons relative to the body because they have no position relative parents*/
    position: absolute;
    top: 10px;
    right: 20px;
    width: 36px;
    height: 36px;
  }
  
  .hamburger {
    background: #fff;
  }
  
  .close {
    margin-left: 20rem;
    padding-top: 1rem;
    padding-left: 3rem;
    background: #97b05e;
  }

  .hamburger img { 
    width: 90%;
  }

  .close img {
    width: 55%;
  }
  
  .navbar {
    padding-top: 3rem;
    padding-left: 3.5rem;
    position: absolute;
    /* a higher z-index put navbar above hamburger */
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    /* basic menu styling*/
    list-style: none;
    background: #97b05e;
    display: flex;
    flex-flow: column nowrap;
    gap: 2rem;
    align-items: start;
    /* animate slide up/down */
    transform: translateX(-150%);
    transition: transform 0.5s ease;
    color: #294030
  }
  
  /* :target is called when its anchor id #navbar is called by clicking on the hamburger which has href="#navbar" */
  
  .navbar:target {
    /* show navbar */
    transform: translateY(0);
  }

  .navbar li {
    font-size: x-large;
    text-align: center;
    padding-bottom: .75rem;
    font-weight: 600;
  }
  
  li .menu-links {
    display: block;
    color: black;
    font-weight: bold;
    font-size: 1.25rem;
    /* remove default underline and add our own with padding and border bottom */
    text-decoration: none;
    padding-bottom: .75rem;
    font-style: normal;
  }

  .hamburger-menu .menu-links {
    width: 100%;
  }

  .navigation-bar .hamburger {
    padding-top: .61rem;
    padding-left: 5rem;
  }

  h2 {
    font-size: 1.5rem;
  }

  .disclaimer-strip {
    padding: .2rem;
    font-size: 9px;
    letter-spacing: .15rem;
    line-height: .85rem;
    font-weight: 800;
  }

  .navigation-bar {
    padding: .95rem;
  }

  .navigation-bar a {
    margin: 0 auto;
    width: 30%;
  }

  .navigation-bar .page-title {
    width: 100%;
  }

  .hero-image-slides {
    width: 100%;
    background-position: 29%;
    background-size: cover;
    height: 90vh;
  }

  .hidden {
    display: none;
  } 

  .standout-list {
    padding-bottom: 8.5rem;
    display: flex;
    flex-wrap: wrap;
    gap: 9rem;
  }

  .standout-square {
    border-radius: 8rem 8rem 0rem 0rem;
    width: 75vw;
  }

  .expectation-section {
    background-color: #1E2F23
  }

  .custom-designs {
    background: url('images/terrarium_planter.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 30% -180%;
  }

  .eco-friendly-materials {
    background: url('images/eco_friendly_terra.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
  }

  .award-winning {
    background: url('images/terrarium_row.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
  }

  .standout-square div p {
    margin-left: -1.35rem;
    margin-top: 21.85rem;
    width: 115%;
  }

  .terrarium-videos section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 4rem;
    padding-top: 0rem;
  }

  .terrarium-videos section :nth-child(2) {
    height: 75%;
  }

  .terrarium-videos section :nth-child(3) {
    height: 75%;
  }

  .terrarium-videos {
    padding: 3rem;
  }

  .terrarium-videos section video {
    width: 100%;
  }

  .custom-orders {
    padding: 4rem 0;
  }

  .custom-orders h2 {
    text-align: center;
    padding-bottom: 2.5rem;
  }

  .custom-orders form {
    width: 100%;
    box-shadow: none;
  }

  .custom-orders form .input-field {
    width: 90%;
    font-weight: 500;
    letter-spacing: .055rem;
  }

  .custom-orders form textarea {
    width: 95%;
    margin-bottom: 1.5rem;
  }

  .custom-orders label, 
  .contact-form-section label {
    font-size: 1.15rem;
  }

  .custom-orders input[type="text"], 
  .custom-orders input[type="email"],
  .contact-form-section input[type="text"],
  .contact-form-section input[type="email"] {
    font-size: 1.15rem;
    height: 5.5vh;
  }

  .custom-orders input::placeholder, 
  .custom-orders textarea::placeholder,
  .contact-form-section input::placeholder, 
  .contact-form-section textarea::placeholder  {
    font-style: italic;
    color: rgb(195, 195, 195);
  }

  .custom-orders textarea,
  .custom-orders textarea::placeholder,
  .contact-form-section textarea, 
  .contact-form-section textarea::placeholder {
    font-size: 1.15rem;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif
  }

  .main-contact-section p {
    padding: 1.2rem;
    margin: 0;
    font-size: 1rem;
  }

  .contact-form-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 3.5rem 1.5rem;
    margin: .4rem;
  }

  .contact-form-section .input-field {
    width: 100%;
  }

  .contact-form-section .input-field textarea {
    width: 100%;
  }

  .custom-terrarium-button {
    margin-top: 1.5rem;
  }

  .care-tips-intro h2, .care-tips-intro p {
    padding: 3rem 1rem .5rem .5rem;
    margin: 0;
  }

  .care-tips-intro p {
    line-height: 2rem;
    font-size: 1.5rem;
  }
  
  .care-tips-intro ul {
    padding: 0;
    margin: .7rem;
    font-weight: bolder;
    text-decoration: underline;
    gap: 3rem;
    list-style: none;
  }

  .care-tips-intro ul li {
    text-align: center;
  }
  
  .care-tips-intro img {
    display: block;
    width: 95%;
    margin: auto;
    margin-bottom: 10rem;
  }

  .top {
    --offset: 50px; 
    margin-left: 15rem;
    position: sticky;
    bottom: 20px;      
    margin-top: calc(100vh + var(--offset));
    
    /* visual styling */
    text-decoration: none;
    padding: 20px;
    font-family: sans-serif;
    font-size: x-large;
    background: #B39C4D;
    border-radius: 100px;
    white-space: nowrap;
  }

  .ct-top-section {
    display: flex;
    flex-direction: column;
    margin-top: 2.5rem;
    gap: 3.2rem;
  }

  .ct-top-section img, .ot-top-section img {
    width: 85%;
    margin: 2rem;
  }

  .ct-right-of-img, .ot-left-of-img {
    width: 100%;
    margin: 0;
  }

  .ct-right-of-img ul, 
  .ct-maintenance-section ul, 
  .ot-maintenance-section ul, 
  .ot-left-of-img ul {
    padding: 1.5rem;
  }

  .ct-maintenance-section,
  .ct-maintenance-section h4, 
  .ot-maintenance-section h4, 
  .ot-maintenance-section, 
  .ct-right-of-img h4, 
  .ot-left-of-img h4 {
    margin: 0;
  }

  .ct-right-of-img h4, .ct-maintenance-section h4, .ot-maintenance-section h4, .ot-left-of-img h4 {
    text-align: center;
  }

  .ot-top-section {
    display: flex;
    flex-direction: column-reverse;
  }

  .general-tips {
    margin: 0;
  }

  .general-tips ul {
    padding: 1.5rem;
  }

  .general-tips p {
    padding: .5rem;
  }

  .about-founder-section {
    display: flex;
    flex-direction: column-reverse;
  }

  .about-founder-section img {
    width: 90%;
    margin: 0 auto;
    padding: 1rem;
  }

  .about-paragraph {
    text-align: center;
    width: 100%;
    padding-bottom: 5rem;
  }

  .about-paragraph p {
    padding-bottom: 1rem;
  }

  .event-planning-form, .workshop-host-form, .workshop-form-container {
    padding: .75rem;
    padding-top: .75rem;
    width: 100%;
  }

  .event-planning-form .event-planning-form-container {
    padding: 0;
    padding-bottom: .75rem;
    width: 100%;
  }

  .event-planning-form .event-planning-form-container form .input-field {
    width: 90%;
  }

  .event-planning-form .form-section {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
    animation: fade-in linear;
    animation-timeline: view();
    animation-range-start: 400px;
    animation-range-end: 580px;
  }
  
  @keyframes fade-in {
    from {
      opacity: 0;
      scale: .8;
    }
  
    to {
      scale: 1;
      opacity: 1;
    }
  }

  .event-planning-form h2 {
    padding-top: 3rem;
    font-size: xx-large;
  }

  .event-planning-form p {
    width: 95%;
  }

  .workshop-form-container h2 {
    padding: 2.85rem 0rem;
  }

  .workshop-form-container .input-field {
    width: 100%;
  }

  .workshop-form-container .input-field label {
    font-size: 1.15rem;
  }

  .workshop-form-container form fieldset {
    width: 90%;
  }

  .workshop-host-form legend, .workshop-host-form label {
    margin: 1rem 1rem .25rem 1rem;
    line-height: 1.25rem;
    font-size: 1.1rem;
    letter-spacing: .09rem;
    font-weight: 200;
  }

  fieldset {
    padding: .5rem;
    width: 70%;
  }

  .popup-main h2 {
    padding-top: 3.5rem;
  }

  .popup-section-content {
    padding: 3.5rem 1rem;
    display: flex;
    justify-content: center;
    gap: 1rem;
  }

  .popup-date-time {
    border: 2px solid #294030;
    width: 5rem;
    height: 6.5rem;
    text-align: center;
    padding-top: .41rem;
    margin-top: 0rem;
  }

  .popup-description {
    padding-top: -4rem;
  }

  .popup-description img {
    width: 100%;
  }

  .popup-date-time h3 {
    margin: 0 auto;
    background-color: #1E2F23;
    width: 76%;
    color: #fff;
    padding: .25rem;
  }

  .footer {
    display: flex;
    flex-direction: column;
    padding: .75rem;
    align-items: center;
    justify-content: center;
    color: #fff
  }

  .top-of-footer img {
    width: 100%;
    padding-bottom: 1rem;
  }

  .footer ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: .7rem;
    list-style: none;
    padding: 0;
    line-height: 2rem;
    margin-bottom: 1.25rem;
  }
  
  .footer .socials-logos {
    display: flex;
    justify-content: center;
    gap: 3rem;
    align-items: center;
  }

  .footer a:active, .footer a, .footer a:visited {
    color: #fff;
  }
  
  .socials-logos a {
    width: 15%;
  }
  
  .socials-logos img {
    width: 100%;
  }
  
  .copyright-section {
    width: 90%;
    font-size: 1rem;
    letter-spacing: .05rem;
    text-align: center;
  }

  .desktop-hidden {
    display: block;
  }
}

@media (min-width: 768px) and (max-width: 1023px) { /*mobile/tablet*/

  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* border: 1px solid red; */
  }
  
  body {
    /* background is white by default but added for clarity */
    background: white;
    width: 100%;
  }
  
  .hamburger, .close {
    border: none;
    cursor: pointer;
    /* position absolute position the icons relative to the body because they have no position relative parents*/
    position: absolute;
    top: 10px;
    right: 20px;
    width: 36px;
    height: 36px;
  }
  
  .hamburger {
    background: #fff;
  }
  
  .close {
    background: #768948;
  }

  .hamburger img { 
    width: 45%;
  }

  .close img {
    width: 27%;
  }
  
  .navbar {
    padding-left: 3.5rem;
    position: absolute;
    /* a higher z-index put navbar above hamburger */
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    /* basic menu styling*/
    list-style: none;
    background: #768948;
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-evenly;
    align-items: start;
    /* animate slide up/down */
    transform: translateX(-150%);
    transition: transform 0.5s ease;
  }

  .navbar li {
    font-size: xx-large;
    text-align: center;
    padding-bottom: .75rem;
    font-weight: 600;
    color: #294030;
  }
  
  /* :target is called when its anchor id #navbar is called by clicking on the hamburger which has href="#navbar" */
  
  .navbar:target {
    /* show navbar */
    transform: translateY(0);
  }
  
  li .menu-links {
    display: block;
    color: white;
    font-weight: bold;
    font-size: 2.2rem;
    /* remove default underline and add our own with padding and border bottom */
    text-decoration: none;
    border-bottom: 1px solid black;
    padding-bottom: 0.5rem;
  }
  
  li a:hover, li a:focus {
    /* show border bottom */
    border-bottom: 1px solid white;
  }


  .hamburger-menu .menu-links {
    width: 100%;
  }

  .navigation-bar .hamburger {
    padding-top: .61rem;
    padding-left: 5rem;
  }

  h2 {
    font-size: 2.8rem;
  }

  .disclaimer-strip {
    font-size: 1rem;
    letter-spacing: .15rem;
    line-height: 1.2rem;
    font-weight: 800;
    padding: 1rem;
  }

  .navigation-bar {
    display: flex;
    justify-content: center;
  }

  .navigation-bar a {
    width: 30%;
  }

  .hero-image-slides {
    width: 100%;
    background-position: center;
    background-size: cover;
    height: 85vh;
  }

  .standout-list {
    padding-bottom: 5rem;
    display: flex;
    flex-wrap: wrap;
    gap: 12rem;
    padding-bottom: 15rem;
  }

  .standout-square {
    border-radius: 14rem 14rem 0rem 0rem;
    width: 65vw;
  }

  .expectation-section {
    background-color: #1E2F23
  }

  .custom-designs {
    background: url('images/terrarium_planter.jpeg');
    background-size: cover;
    background-position: 30% -180%;
  }

  .eco-friendly-materials {
    background: url('images/eco_friendly_terra.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
  }

  .award-winning {
    background: url('images/terrarium_row.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
  }

  .standout-square div p {
    margin-left: -2.9rem;
    margin-top: 21.85rem;
    width: 120%;
    padding: 2.5rem;
    font-size: 2.5rem;
    letter-spacing: .25rem;
  }

  .terrarium-videos section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 6rem;
    padding-bottom: 8rem;
  }

  .terrarium-videos section :nth-child(2) {
    height: 85%;
  }

  .terrarium-videos section :nth-child(3) {
    height: 75%;
  }

  .terrarium-videos {
    padding: 3rem;
  }

  .terrarium-videos section video {
    width: 80%;
  }

  .custom-orders h3 {
    text-align: center;
  }

  .custom-orders form {
    width: 100%;
    padding-bottom: 5rem;
    gap: .5rem;
  }

  .custom-orders form .input-field {
    width: 100%;
    font-weight: 500;
    letter-spacing: .055rem;
  }

  .custom-orders form textarea {
    width: 100%;
    margin-bottom: 1.5rem;
  }

  .custom-orders label, 
  .contact-form-section label {
    font-size: 1.75rem;
  }

  .custom-orders input[type="text"], 
  .custom-orders input[type="email"],
  .contact-form-section input[type="text"],
  .contact-form-section input[type="email"] {
    font-size: 1.75rem;
    height: 5.5vh;
  }

  .custom-orders input::placeholder, 
  .custom-orders textarea::placeholder,
  .contact-form-section input::placeholder, 
  .contact-form-section textarea::placeholder  {
    font-style: italic;
    color: rgb(190, 190, 190);
  }

  .custom-orders textarea,
  .custom-orders textarea::placeholder,
  .contact-form-section textarea, 
  .contact-form-section textarea::placeholder {
    font-size: 1.5rem;
  }


  .custom-terrarium-button {
    font-size: 1.5rem;
    padding: 2rem;
    margin-top: 1.5rem;
  }

  .about-founder-section {
    display: flex;
    flex-direction: column-reverse;
  }

  .about-founder-section img {
    margin: 0 auto;
    width: 70%;
    padding: 1rem;
  }

  .about-paragraph {
    text-align: center;
    font-size: 1.75rem;
    width: 95%;
    margin: 0 auto;
    padding: 1.5rem 0 5rem .5rem;
    line-height: 2.8rem;
  }

  .footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .top-of-footer img {
    width: 80%;
    margin: 0 auto;
    padding-bottom: 2rem;
  }

  .main-contact-section p {
    font-size: 2rem;
    margin: 5rem;
    line-height: 2.7rem;
  }

  .contact-page-section {
    margin: 0 auto;
    width: 90%;
  }

  .contact-form-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 3.5rem 1.5rem;
    margin-left: 0;
  }

  .contact-form-section .input-field {
    width: 90%;
  }

  .contact-form-section .input-field textarea {
    width: 100%;
  }

  .contact-form-section label {
    margin-bottom: .7rem;
  }

  .general-inquiries-button {
    margin-top: 2rem;
    padding: 2rem 5rem;
    font-size: 2rem;
    border-radius: 7px;
    background-color: #fff;
    border: 2px solid black;
    font-weight: 800;
  }

  .care-tips-intro h2, .care-tips-intro p {
    padding: 3rem 1rem .5rem .5rem;
    margin: 0;
  }

  .care-tips-intro ul {
    padding: 0;
    margin: .7rem;
    font-weight: bolder;
    text-decoration: underline;
    gap: 4rem;
    font-size: 1.7rem;
    list-style: none;
  }

  .care-tips-intro ul li {
    text-align: center;
  }
  
  .care-tips-intro img {
    display: block;
    width: 95%;
    margin: auto;
    margin-bottom: 10rem;
  }

  .top {
    --offset: 50px; 
    margin-left: 21rem;
    position: sticky;
    bottom: 20px;      
    margin-top: calc(100vh + var(--offset));
    
    /* visual styling */
    text-decoration: none;
    padding: 1.5rem;
    font-family: sans-serif;
    font-size: xx-large;
    background: #B39C4D;
    border-radius: 100px;
    white-space: nowrap;
  }

  .ct-top-section {
    display: flex;
    flex-direction: column;
    margin-top: 2.5rem;
    gap: 3.2rem;
  }

  .ct-top-section img, .ot-top-section img {
    width: 75%;
    margin: 0 auto;
    padding-bottom: 3rem;
  }

  .ct-right-of-img, .ot-left-of-img {
    width: 100%;
    margin: 0;
  }

  .ct-right-of-img ul, 
  .ct-maintenance-section ul, 
  .ot-maintenance-section ul, 
  .ot-left-of-img ul {
    padding: 1.5rem;
  }

  .ct-maintenance-section,
  .ct-maintenance-section h4, 
  .ot-maintenance-section h4, 
  .ot-maintenance-section, 
  .ct-right-of-img h4, 
  .ot-left-of-img h4 {
    margin: 0;
  }

  .ct-right-of-img h4, .ct-maintenance-section h4, .ot-maintenance-section h4, .ot-left-of-img h4 {
    text-align: center;
  }

  .ot-top-section {
    display: flex;
    flex-direction: column-reverse;
  }

  .general-tips {
    margin: 0;
  }

  .general-tips ul {
    padding: 1.5rem;
  }

  .general-tips p {
    padding: .5rem;
  }

   .popup-main h2 {
    padding-top: 3.5rem;
  }

  .popup-section-content {
    padding: 3.5rem 2rem;
    display: flex;
    justify-content: center;
    gap: 2rem;
  }

  .popup-date-time {
    border: 2px solid #294030;
    width: 5rem;
    height: 6.5rem;
    text-align: center;
    padding-top: .41rem;
    margin-top: 0rem;
  }

  .popup-description {
    padding-top: -4rem;
  }

  .popup-description h3 {
    font-size: 1.75rem;
  }

  .popup-description p {
    font-size: 1.5rem;
  }

  .popup-description img {
    width: 90%;
  }

  .popup-date-time h3 {
    margin: 0 auto;
    background-color: #1E2F23;
    width: 77%;
    color: #fff;
    padding: .25rem;
  }

  .popup-cta {
    padding-top: 10%;
    font-size: 1.75rem;
    width: 70%;
    margin: auto;
  }

  .footer ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 1.5rem;
    list-style: none;
    padding: 0;
    line-height: 2rem;
    font-size: 2rem;
    padding-bottom: 2rem;
  }
  
  .footer .socials-logos {
    display: flex;
    justify-content: center;
    gap: 3rem;
    align-items: center;
  }
  
  .socials-logos a {
    width: 10%;
  }
  
  .socials-logos img {
    width: 100%;
  }
  
  .copyright-section {
    width: 105%;
    font-size: 1.75rem;
    text-align: center;
  }

  .hidden {
    display: none;
  }

  .desktop-hidden {
    display: block;
  }
}

@media (min-width: 1024px) and (max-width: 1337px) and (orientation: portrait) { /*portrait mode*/
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    width: 100%;
  }
  
  .hamburger, .close {
    border: none;
    cursor: pointer;
    /* position absolute position the icons relative to the body because they have no position relative parents*/
    position: absolute;
    top: 10px;
    right: 20px;
    width: 36px;
    height: 36px;
  }
  
  .hamburger {
    background: #fff;
  }
  
  .close {
    background: #F0E9E6;
  }

  .hamburger img { 
    width: 45%;
  }

  .close img {
    width: 27%;
  }
  
  .navbar {
    padding-left: 3.5rem;
    position: absolute;
    /* a higher z-index put navbar above hamburger */
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 85vh;
    overflow: hidden;
    /* basic menu styling*/
    list-style: none;
    background: #F0E9E6;
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-evenly;
    align-items: start;
    /* animate slide up/down */
    transform: translateX(-150%);
    transition: transform 0.5s ease;
  }
  
  /* :target is called when its anchor id #navbar is called by clicking on the hamburger which has href="#navbar" */
  
  .navbar:target {
    /* show navbar */
    transform: translateY(0);
  }
  
  li .menu-links {
    display: block;
    color: white;
    font-weight: bold;
    font-size: 2.2rem;
    /* remove default underline and add our own with padding and border bottom */
    text-decoration: none;
    border-bottom: 1px solid black;
    padding-bottom: 0.5rem;
  }
  
  li a:hover, li a:focus {
    /* show border bottom */
    border-bottom: 1px solid white;
  }


  .hamburger-menu .menu-links {
    width: 100%;
  }

  .navigation-bar .hamburger {
    padding-top: .61rem;
    padding-left: 5rem;
  }

  h2 {
    font-size: 2.8rem;
  }

  .disclaimer-strip {
    font-size: 1rem;
    letter-spacing: .15rem;
    line-height: 1.2rem;
    font-weight: 800;
    padding: 1rem;
  }

  .navigation-bar {
    display: flex;
    justify-content: center;
  }

  .navigation-bar a {
    width: 30%;
  }

  .hero-image-slides {
    width: 100%;
    background-position: center;
    background-size: cover;
    height: 85vh;
  }

  .standout-list {
    padding-bottom: 5rem;
    display: flex;
    flex-wrap: wrap;
    gap: 12rem;
    padding-bottom: 15rem;
  }

  .standout-square {
    border-radius: 14rem 14rem 0rem 0rem;
    width: 65vw;
  }

  .expectation-section {
    background-color: #1E2F23
  }

  .custom-designs {
    background: url('images/terrarium_planter.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 30% -180%;
  }

  .eco-friendly-materials {
    background: url('images/eco_friendly_terra.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
  }

  .award-winning {
    background: url('images/terrarium_row.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
  }

  .standout-square div p {
    margin-left: -2.9rem;
    margin-top: 34.85rem;
    width: 120%;
    padding: 2.5rem;
    font-size: 2.5rem;
    letter-spacing: .25rem;
  }

  .terrarium-videos h2 {
    padding: 8rem 0;
  }

  .terrarium-videos section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 6rem;
    padding-bottom: 8rem;
  }

  .terrarium-videos section :nth-child(2) {
    height: 85%;
  }

  .terrarium-videos section :nth-child(3) {
    height: 75%;
  }

  .terrarium-videos {
    padding: 3rem;
  }

  .terrarium-videos section video {
    width: 80%;
  }

  .custom-orders h3 {
    text-align: center;
  }

  .custom-orders form {
    width: 100%;
    padding-bottom: 5rem;
    gap: .5rem;
  }

  .custom-orders form .input-field {
    width: 100%;
    font-weight: 500;
    letter-spacing: .055rem;
  }

  .custom-orders form textarea {
    width: 100%;
    margin-bottom: 1.5rem;
  }

  .custom-orders label, 
  .contact-form-section label {
    font-size: 1.75rem;
  }

  .custom-orders input[type="text"], 
  .custom-orders input[type="email"],
  .contact-form-section input[type="text"],
  .contact-form-section input[type="email"] {
    font-size: 1.75rem;
    height: 5.5vh;
  }

  .custom-orders input::placeholder, 
  .custom-orders textarea::placeholder,
  .contact-form-section input::placeholder, 
  .contact-form-section textarea::placeholder  {
    font-style: italic;
    color: rgb(190, 190, 190);
  }

  .custom-orders textarea,
  .custom-orders textarea::placeholder,
  .contact-form-section textarea, 
  .contact-form-section textarea::placeholder {
    font-size: 1.5rem;
  }


  .custom-terrarium-button {
    font-size: 1.5rem;
    padding: 2rem;
    margin-top: 1.5rem;
  }

  .about-founder-section {
    display: flex;
    flex-direction: column-reverse;
  }

  .about-founder-section img {
    margin: 0 auto;
    width: 70%;
    padding: 1rem;
  }

  .about-paragraph {
    text-align: center;
    font-size: 1.75rem;
    width: 95%;
    margin: 0 auto;
    padding: 1.5rem 0 5rem .5rem;
    line-height: 2.8rem;
  }

  .footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .top-of-footer img {
    width: 80%;
    margin: 0 auto;
    padding-bottom: 2rem;
  }

  .main-contact-section p {
    font-size: 2rem;
    margin: 5rem;
    line-height: 2.7rem;
  }

  .contact-form-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90%;
    margin: 0 auto;
    padding: 4rem 1.5rem;
  }

  .contact-form-section .input-field {
    width: 90%;
  }

  .contact-form-section .input-field textarea {
    width: 100%;
  }

  .contact-form-section label {
    margin-bottom: .7rem;
  }

  .general-inquiries-button {
    margin-top: 2rem;
    padding: 2rem 5rem;
    font-size: 2rem;
    border-radius: 7px;
    background-color: #fff;
    border: 2px solid black;
    font-weight: 800;
  }

  .care-tips-intro h2, .care-tips-intro p {
    padding: 3rem 1rem .5rem .5rem;
    margin: 0;
  }

  .care-tips-intro ul {
    padding: 0;
    margin: .7rem;
    font-weight: bolder;
    text-decoration: underline;
    gap: 4rem;
    font-size: 1.7rem;
    list-style: none;
  }

  .care-tips-intro ul li {
    text-align: center;
  }
  
  .care-tips-intro img {
    display: block;
    width: 95%;
    margin: auto;
    margin-bottom: 10rem;
  }

  .top {
    --offset: 50px; 
    margin-left: 21rem;
    position: sticky;
    bottom: 20px;      
    margin-top: calc(100vh + var(--offset));
    
    /* visual styling */
    text-decoration: none;
    padding: 1.5rem;
    font-family: sans-serif;
    font-size: xx-large;
    background: #B39C4D;
    border-radius: 100px;
    white-space: nowrap;
  }

  .ct-top-section {
    display: flex;
    flex-direction: column;
    margin-top: 2.5rem;
    gap: 3.2rem;
  }

  .ct-top-section img, .ot-top-section img {
    width: 75%;
    margin: 0 auto;
    padding-bottom: 3rem;
  }

  .ct-right-of-img, .ot-left-of-img {
    width: 100%;
    margin: 0;
  }

  .ct-right-of-img ul, 
  .ct-maintenance-section ul, 
  .ot-maintenance-section ul, 
  .ot-left-of-img ul {
    padding: 1.5rem;
  }

  .ct-maintenance-section,
  .ct-maintenance-section h4, 
  .ot-maintenance-section h4, 
  .ot-maintenance-section, 
  .ct-right-of-img h4, 
  .ot-left-of-img h4 {
    margin: 0;
  }

  .ct-right-of-img h4, .ct-maintenance-section h4, .ot-maintenance-section h4, .ot-left-of-img h4 {
    text-align: center;
  }

  .ot-top-section {
    display: flex;
    flex-direction: column-reverse;
  }

  .general-tips {
    margin: 0;
  }

  .general-tips ul {
    padding: 1.5rem;
  }

  .general-tips p {
    padding: .5rem;
  }

  .footer ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 1.5rem;
    list-style: none;
    padding: 0;
    line-height: 2rem;
    font-size: 2rem;
    padding-bottom: 2rem;
  }
  
  .footer .socials-logos {
    display: flex;
    justify-content: center;
    gap: 3rem;
    align-items: center;
  }
  
  .socials-logos a {
    width: 10%;
  }
  
  .socials-logos img {
    width: 100%;
  }
  
  .copyright-section {
    width: 105%;
    font-size: 1.75rem;
    text-align: center;
  }

  .hidden {
    display: none;
  }

  .desktop-hidden {
    display: block;
  }

  .hidden {
    display: none;
  }
}

